Page MenuHomePhabricator

decom silver/WMF3434
Open, MediumPublic

Description

old spare server (with spare role) still in rack. needs decom.

This checklist is able to be copied and pasted into phabricator hardware request tasks for reclaiming systems to spare or decom.

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/heira/dsh config removed
  • - remove site.pp (replace with role(spare::system) if system isn't shut down immediately during this process.)

START NON-INTERRUPPTABLE STEPS

  • - disable puppet on host
  • - power down host
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate

END NON-INTERRUPPTABLE STEPS

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Details

Related Gerrit Patches:
operations/dns : masterremove silver mgmt dns
operations/puppet : productionAlso remove obsolete Hiera host file for silver
operations/dns : masterRemoving production dns for decom host silver
operations/puppet : productionRemoving puppet entries for decom host silver

Event Timeline

RobH triaged this task as Medium priority.Apr 3 2018, 9:28 PM
RobH created this task.
Cmjohnson moved this task from Backlog to Decommission on the ops-eqiad board.Apr 10 2018, 2:00 PM

Change 456184 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Removing puppet entries for decom host silver

https://gerrit.wikimedia.org/r/456184

Change 456184 merged by Cmjohnson:
[operations/puppet@production] Removing puppet entries for decom host silver

https://gerrit.wikimedia.org/r/456184

Change 456186 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Removing production dns for decom host silver

https://gerrit.wikimedia.org/r/456186

Change 456186 merged by Cmjohnson:
[operations/dns@master] Removing production dns for decom host silver

https://gerrit.wikimedia.org/r/456186

Cmjohnson updated the task description. (Show Details)Aug 29 2018, 5:59 PM
Cmjohnson moved this task from Decommission to UnRacking Tasks on the ops-eqiad board.

Change 456579 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Also remove obsolete Hiera host file for silver

https://gerrit.wikimedia.org/r/456579

Change 456579 merged by Muehlenhoff:
[operations/puppet@production] Also remove obsolete Hiera host file for silver

https://gerrit.wikimedia.org/r/456579

RobH assigned this task to Cmjohnson.Sep 18 2018, 10:16 PM
RobH moved this task from Backlog to pending onsite steps (eqiad) on the decommission board.
Cmjohnson reassigned this task from Cmjohnson to Jclark-ctr.Sep 19 2019, 8:23 PM
Cmjohnson added subscribers: Jclark-ctr, Cmjohnson.

@Jclark-ctr wipe, remove the servers, update netbox and the google sheet. Please assign back to me once everything is complete

Jclark-ctr updated the task description. (Show Details)Nov 28 2019, 12:04 AM

Change 559616 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] remove silver mgmt dns

https://gerrit.wikimedia.org/r/559616

Change 559616 merged by RobH:
[operations/dns@master] remove silver mgmt dns

https://gerrit.wikimedia.org/r/559616

RobH updated the task description. (Show Details)Dec 19 2019, 10:45 PM
RobH added a comment.Dec 19 2019, 10:48 PM

Please note that while ' - switch port assignment noted on this task (for later removal)' is checked, it wasn't listed on this sheet. I checked ALL 4 switch stacks in eqiad, and cannot find it.